﻿@model IEnumerable<TooJaVile.Models.Person>

@{
    ViewBag.Title = "VacationSummary";
}

<h2>Puhkusejäägid</h2>
<style class="table">
    table {
        border: 2px solid #de9c6c;
    }

    td, th {
        border: 1px solid #de9c6c;
    }


    tr:nth-child(even) {
        background-color: lightgray;
    }
</style>
<br />
<table class="table">
    <tr>
        <th>

            @Html.ActionLink("Nimi", "VacationSummary", new { sortOrder = (ViewBag.SortOrder == "Name" ? "Name_desc" : "Name") })
        </th>
        <th>

            @Html.ActionLink("Osakond", "VacationSummary", new { sortOrder = (ViewBag.SortOrder == "Department" ? "Department_desc" : "Department") })
        </th>

        <th>
            Ettenähtud põhipuhkus
        </th>
        <th>
            Kasutatud põhipuhkus
        </th>
        <th>
            Kasutatud muud puhkused
        </th>
        <th>
            Põhipuhkuse jääk
        </th>
    </tr>

    @foreach (var item in Model@*.OrderBy(x => x.LastName)*@)
{
<tr>
    <td>
        @Html.DisplayFor(modelItem => item.FirstName)
        @Html.DisplayFor(modelItem => item.LastName)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Department.Name)
    </td>
    <td>
        @item.VacationDays
    </td>
    <td>
        @(
            item.Vacations
                .Where(y => y.VacationType == 0)
                .Where(x => x.StartDate?.Year == System.DateTime.Now.Year)
                .Sum(x => (x.EndDate - x.StartDate)?.Days + 1)
        )
    </td>
    <td>
        @(

            item.Vacations
                .Where(y => y.VacationType != 0)
                .Where(x => x.StartDate?.Year == System.DateTime.Now.Year)
                .Sum(x => (x.EndDate - x.StartDate)?.Days + 1)
        )
    </td>
    <td>
        @*TODO: Arvuta põhipuhkusest*@
        @(item.VacationDays - item.Vacations
                    .Where(y => y.VacationType == 0)
                    .Where(x => x.StartDate?.Year == System.DateTime.Now.Year)
                    .Sum(x => (x.EndDate - x.StartDate)?.Days + 1))
    </td>
</tr>
}
</table>


